# This file is part of the FreeType project.
#
# It builds the library and test programs for emx-gcc or djgpp under MSDOS.
#
# You will need dmake.
#
# Use this file while in the lib directory with the following statement:
#
#   dmake -r -f arch/msdos/Makefile.dm

.IMPORT: COMSPEC
SHELL := $(COMSPEC)
SHELLFLAGS := /c
GROUPSHELL := $(SHELL)
GROUPFLAGS := $(SHELLFLAGS)
GROUPSUFFIX := .bat
SHELLMETAS := *"?<>&|

CC = gcc

CFLAGS = -Wall -O2 -g -ansi -pedantic -Iarch/msdos -I. -Iextend
# CFLAGS = -Wall -ansi -O2 -s -Iarch/msdos -I. -Iextend

SRC = ttapi.c ttcache.c ttcalc.c ttcmap.c tterror.c \
      ttfile.c ttgload.c ttinterp.c ttlists.c ttload.c \
      ttmemory.c ttmutex.c ttobjs.c ttraster.c ttextend.c \
      extend/ftxgasp.c extend/ftxkern.c

OBJ = $(SRC:.c=.o)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<


all: libttf.a

libttf.a: $(OBJ)
	+-del $@
	ar src $@ @$(mktmp $(^:t"\n")\n)

clean:
-[
	del *.o
	del extend\*.o
]

distclean: clean
-[
	del dep.end
	del libttf.a
]

# depend:
#	$(CC) -E -M $(SRC) > dep.end

# ifeq (dep.end,$(wildcard dep.end))
#   include dep.end
# endif

# end of Makefile.dm
