# This file is part of the FreeType project.
#
# It builds the library and test programs for emx-gcc and djgpp under MSDOS.
#
# You will need dmake.
#
# Use this file while in the 'test' directory with the following statement:
#
#   dmake -r -f arch/msdos/Makefile.dm

ARCH = arch/msdos
FT_MAKEFILE = $(ARCH)/Makefile.dm
MAKE = dmake -r

.IMPORT: COMSPEC
SHELL := $(COMSPEC)
SHELLFLAGS := /c
GROUPSHELL := $(SHELL)
GROUPFLAGS := $(SHELLFLAGS)
GROUPSUFFIX := .bat
SHELLMETAS := *"?<>&|

CC = gcc

LIBDIR = ../lib
LIBDIR_DOS = ..\lib
INCDIRS = -I$(LIBDIR) -I$(LIBDIR)/$(ARCH) -I. -I$(LIBDIR)/extend

CFLAGS = -Wall -ansi -O2 -g $(INCDIRS)
# CFLAGS = -ansi -Wall -O2 -s $(INCDIRS)

# full-screen MSDOS driver
GDRIVER_SRC = $(ARCH)/gfs_dos.c
GDRIVER = $(ARCH)/gfs_dos.o

DISPLAYSRC = display.c

SRC = gmain.c display.c \
      ftlint.c fttimer.c ftview.c ftzoom.c ftdump.c ftstring.c \
      $(GDRIVER_SRC)

GOBJS = gmain.o display.o $(GDRIVER)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

RESPONSE = @$(mktmp $(^:t"\n")\n)

# graphics utility and test driver

all: freetype ftview.exe ftlint.exe fttimer.exe ftdump.exe ftstring.exe \
     ftzoom.exe

freetype:
[
	cd $(LIBDIR_DOS)
	$(MAKE) -f $(FT_MAKEFILE) all
	cd $(MAKEDIR)
]

$(GDRIVER): $(GDRIVER_SRC)
	$(CC) -c $(CFLAGS) -o $@ $^

ftzoom.exe: $(GOBJS) ftzoom.o $(LIBDIR)/libttf.a
	$(CC) $(CFLAGS) -o $@ $(RESPONSE)

ftview.exe: $(GOBJS) ftview.o common.o $(LIBDIR)/libttf.a
	$(CC) $(CFLAGS) -o $@ $(RESPONSE)

ftlint.exe: ftlint.o $(LIBDIR)/libttf.a
	$(CC) $(CFLAGS) -o $@ $(RESPONSE)

ftdump.exe: ftdump.o $(LIBDIR)/libttf.a
	$(CC) $(CFLAGS) -o $@ $(RESPONSE)

ftstring.exe: $(GOBJS) ftstring.o common.o $(LIBDIR)/libttf.a
	$(CC) $(CFLAGS) -o $@ $(RESPONSE)

fttimer.exe: $(GOBJS) fttimer.o $(LIBDIR)/libttf.a
	$(CC) $(CFLAGS) -o $@ $(RESPONSE)


clean: do_clean
[
	cd $(LIBDIR_DOS)
	$(MAKE) -f $(FT_MAKEFILE) clean
	cd $(MAKEDIR)
]

distclean: do_clean do_distclean
[
	cd $(LIBDIR_DOS)
	$(MAKE) -f $(FT_MAKEFILE) distclean
	cd $(MAKEDIR)
]

do_distclean:
-[
	del dep.end
	del *.exe
	del core
]

do_clean:
-[
	del *.o
	del arch\msdos\gfs_dos.o
]

# depend:
#	$(MAKE) -C $(LIBDIR) -f $(LIBDIR)/$(FT_MAKEFILE) depend
#	$(CC) -E -M $(INCDIRS) $(SRC) > dep.end
#
# ifeq (dep.end,$(wildcard dep.end))
#   include dep.end
# endif

# end of Makefile.dm
